Login
Newsletter
Werbung

Sicherheit: Zwei Probleme in python3
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in python3
ID: openSUSE-SU-2019:0155-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 15.0
Datum: Sa, 9. Februar 2019, 00:41
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-20406
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-5010
Applikationen: Python

Originalnachricht

   openSUSE Security Update: Security update for python3
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:0155-1
Rating: important
References: #1120644 #1122191
Cross-References: CVE-2018-20406 CVE-2019-5010
Affected Products:
openSUSE Leap 15.0
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update for python3 fixes the following issues:

Security issue fixed:

- CVE-2019-5010: Fixed a denial-of-service vulnerability in the X509
certificate parser (bsc#1122191)
- CVE-2018-20406: Fixed a integer overflow via a large LONG_BINPUT
(bsc#1120644)

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2019-155=1



Package List:

- openSUSE Leap 15.0 (i586 x86_64):

libpython3_6m1_0-3.6.5-lp150.2.6.1
libpython3_6m1_0-debuginfo-3.6.5-lp150.2.6.1
python3-3.6.5-lp150.2.6.1
python3-base-3.6.5-lp150.2.6.1
python3-base-debuginfo-3.6.5-lp150.2.6.1
python3-base-debugsource-3.6.5-lp150.2.6.1
python3-curses-3.6.5-lp150.2.6.1
python3-curses-debuginfo-3.6.5-lp150.2.6.1
python3-dbm-3.6.5-lp150.2.6.1
python3-dbm-debuginfo-3.6.5-lp150.2.6.1
python3-debuginfo-3.6.5-lp150.2.6.1
python3-debugsource-3.6.5-lp150.2.6.1
python3-devel-3.6.5-lp150.2.6.1
python3-devel-debuginfo-3.6.5-lp150.2.6.1
python3-idle-3.6.5-lp150.2.6.1
python3-testsuite-3.6.5-lp150.2.6.1
python3-testsuite-debuginfo-3.6.5-lp150.2.6.1
python3-tk-3.6.5-lp150.2.6.1
python3-tk-debuginfo-3.6.5-lp150.2.6.1
python3-tools-3.6.5-lp150.2.6.1

- openSUSE Leap 15.0 (x86_64):

libpython3_6m1_0-32bit-3.6.5-lp150.2.6.1
libpython3_6m1_0-32bit-debuginfo-3.6.5-lp150.2.6.1
python3-32bit-3.6.5-lp150.2.6.1
python3-32bit-debuginfo-3.6.5-lp150.2.6.1
python3-base-32bit-3.6.5-lp150.2.6.1
python3-base-32bit-debuginfo-3.6.5-lp150.2.6.1

- openSUSE Leap 15.0 (noarch):

python3-doc-3.6.5-lp150.2.6.1


References:

https://www.suse.com/security/cve/CVE-2018-20406.html
https://www.suse.com/security/cve/CVE-2019-5010.html
https://bugzilla.suse.com/1120644
https://bugzilla.suse.com/1122191

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Gewinnspiel
Neue Nachrichten
Werbung